Subject: Re: [PATCH 1/3] Rough VJ Channel Implementation - vj_core.patch

From: "David S. Miller" <[email-masked]>
Date: Thu, 27 Apr 2006 00:52:36 -0700 (PDT)

From: Andi Kleen <[email-masked]>
Date: Thu, 27 Apr 2006 08:41:51 +0200

> Yes but all clients will see all the data from all sockets don't
> they?  [Unless you have a RDMA nic that can scale to hundred
> thousands of connections, but let's assume standard hardware for
> now]

Each netchannel, which goes to a specific socket, has a ring
buffer of packets the NIC can use.  Those packets are mmap()'d
into userspace so we can control the layout, the page boundaries,
etc. and the NIC will only DMA packets matching that channel ID
into that userland area.

Have a look at the code Kelly posted.